> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://developer-stage.shipbob.dev/2026-07/api/products/get-packaging-requirement/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developer-stage.shipbob.dev/_mcp/server. # Get Packaging Requirement GET https://sandbox-api.shipbob.com/2026-07/packaging-requirement Retrieves all available packaging requirements that can be assigned to a product. Reference: https://developer-stage.shipbob.dev/api/products/get-packaging-requirement ## Authentication - `Authorization` header (bearer token, required) — Authentication using Personal Access Token (PAT) token - `Authorization` header (bearer token, required) — OAuth2 authentication using JWT tokens ## Response ### 200 Success - `list of Products.PackagingRequirementViewModel` ## Types ### Products.PackagingRequirementViewModel - `applicable_categories` (list of Products.ApplicableCategoryViewModel, optional, nullable) — List of product categories where this packaging requirement is applicable - `applicable_packaging_material_types` (list of Products.PackagingMaterialTypeViewModel, optional, nullable) — List of packaging material types that are compatible with this requirement - `applicable_taxonomy` (list of string, optional, nullable) — List of taxonomy paths where this packaging requirement can be applied - `description` (string, optional, nullable) — Detailed explanation of the packaging requirement and when it should be used - `id` (integer, optional) — Unique identifier for the packaging requirement - `name` (string, optional, nullable) — Display name of the packaging requirement (e.g., 'Poly Bag', 'Bubble Wrap') ### Products.ApplicableCategoryViewModel - `id` (integer, optional) - `sub_category_ids` (list of integer, optional, nullable) ### Products.PackagingMaterialTypeViewModel - `id` (integer, optional) - `name` (string, optional, nullable) ## Examples **Response** ```json [ { "applicable_categories": [ { "id": 0, "sub_category_ids": [ 0 ] } ], "applicable_packaging_material_types": [ { "id": 0, "name": "string" } ], "applicable_taxonomy": [ "string" ], "description": "string", "id": 0, "name": "string" } ] ``` **SDK Code** ```python default import requests url = "https://sandbox-api.shipbob.com/2026-07/packaging-requirement" headers = {"Authorization": "Bearer "} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript default const url = 'https://sandbox-api.shipbob.com/2026-07/packaging-requirement'; const options = {method: 'GET', headers: {Authorization: 'Bearer '}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go default package main import ( "fmt" "net/http" "io" ) func main() { url := "https://sandbox-api.shipbob.com/2026-07/packaging-requirement" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "Bearer ") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby default require 'uri' require 'net/http' url = URI("https://sandbox-api.shipbob.com/2026-07/packaging-requirement") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = 'Bearer ' response = http.request(request) puts response.read_body ``` ```java default import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://sandbox-api.shipbob.com/2026-07/packaging-requirement") .header("Authorization", "Bearer ") .asString(); ``` ```php default request('GET', 'https://sandbox-api.shipbob.com/2026-07/packaging-requirement', [ 'headers' => [ 'Authorization' => 'Bearer ', ], ]); echo $response->getBody(); ``` ```csharp default using RestSharp; var client = new RestClient("https://sandbox-api.shipbob.com/2026-07/packaging-requirement"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", "Bearer "); IRestResponse response = client.Execute(request); ``` ```swift default import Foundation let headers = ["Authorization": "Bearer "] let request = NSMutableURLRequest(url: NSURL(string: "https://sandbox-api.shipbob.com/2026-07/packaging-requirement")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```